Module org.firebirdsql.jaybird
Package org.firebirdsql.extern.decimal

# Enum Class OverflowHandling

java.lang.Object
java.lang.Enum<OverflowHandling>
org.firebirdsql.extern.decimal.OverflowHandling

All Implemented Interfaces:
  `Serializable`, `Comparable<OverflowHandling>`, `Constable`

public enum OverflowHandling extends Enum<OverflowHandling>
How to handle overflows when rounding (converting) to a target decimal type.

Overflow occurs when converting a value to the target type would lead to loss of significant digits, or in other words: if the value doesn't fit in the target type.

As an example attempts to store `1.0e300` in a `Decimal32` leads to an overflow, as the maximum value it can hold is `9.999999e96`.

Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ROUND_TO_INFINITY`
Overflow will round to +/-Infinity, depending on the signum of the value.
`THROW_EXCEPTION`
Overflow will throw a `DecimalOverflowException`.

## Method Summary

Modifier and Type
Method
Description
`static OverflowHandling`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OverflowHandling[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ROUND_TO_INFINITY

public static final OverflowHandling ROUND_TO_INFINITY
Overflow will round to +/-Infinity, depending on the signum of the value.

Underflow will round to zero.

### THROW_EXCEPTION

public static final OverflowHandling THROW_EXCEPTION
Overflow will throw a `DecimalOverflowException`.

Underflow will round to zero.

## Method Details

### values

public static OverflowHandling[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OverflowHandling valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null